$(function(){
	//alert('i run the first time')
	$('.mainBody').live('pageshow',function(event,ui){
		//alert('i only run on subsequent page loads');
		if ( event.target.id.indexOf('speakerList') >= 0) {
			//alert('i only run on the speakers page');
			// remove any existing swipe areas
			$('.divSwipe').remove();
			// add swipe event to the list item, removing it first (if it exists)
			$('#speakers li').not('.ui-li-divider').unbind('swiperight').bind('swiperight', function(e){

				// reference the just swiped list item
				var $li = $(this);
				// remove all swipe divs first
				$('.divSwipe').remove();
				// create buttons and div container
				var $divSwipe = $('<div class="divSwipe"></div>');
				var starify = 'Rate my awesomeness!<div class="starify">' +
								'<label for="vote1"><input type="radio" name="vote" id="vote1" value="1" /> Poor</label>' +
								'<label for="vote2"><input type="radio" name="vote" id="vote2" value="2" /> Fair</label>' +
								'<label for="vote3"><input type="radio" name="vote" id="vote3" value="3" checked="checked" /> Average</label>' +
								'<label for="vote4"><input type="radio" name="vote" id="vote4" value="4" /> Good</label>' +
								'<label for="vote5"><input type="radio" name="vote" id="vote5" value="5" /> Excellent</label>' +
							'</div>';

				// insert swipe div into list item
				$li.prepend($divSwipe);
				// insert buttons into divSwipe
				$divSwipe.prepend(starify).show(100);

				$('.starify').children().not(":input").hide();

				// Create stars from :radio boxes
				$('.starify').stars({
					cancelShow: false
				});

				// add escape route for swipe menu
				$('body').bind('tap', function(e){
					// if the triggering object is a button, fire it's tap event
					if (e.target.className.indexOf('aSwipeBtn') >= 0) $(e.target).trigger('click');
					// remove any existing cancel buttons
					$('.divSwipe').remove();
					// remove the event
					$('body').unbind('tap');
				});
			});
		}
	});
});
